Organisations
Get the configured OAuth application for a provider (secret never returned).
**Required scope:** `provider_apps:read`
Authorization
BearerAuth AuthorizationBearer <token>
Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.
In: header
Path Parameters
org_id*string
Format
uuidprovider*string
Value in
- "azure"
- "gitHub"
- "google"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/provider-apps/azure"{ "provider": "azure", "clientId": "string", "tenant": "string", "adminConsentUrl": "string", "requiredDelegatedPermissions": [ "string" ], "createdAt": "string", "updatedAt": "string"}Empty
Empty
{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Delete SSO connection
**Required scope:** `sso:write`
Register or replace the OAuth application for a provider.
The operator supplies the client id/secret (and Azure tenant) from their own Azure AD / Google Cloud app. Used to obtain delegated access to a user's cloud storage. Replaces the former global env-var credentials. **Required scope:** `provider_apps:write`